Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 26 Jun 2022 16:21:02 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi,
My last click and collect order placed at Madina mall Babyshop was supposed to be ready by today for pickup but I still did not receive any message saying the order is ready. I need the items by today due to an emergency, I tried calling the store number provided in the order confirmation mail that was sent to me but the call has been going to some other store called Day to day.
I'd like an immediate look into my case.

Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4545429